import { Program } from "@coral-xyz/anchor";
import { PROGRAM_ID, IDL } from "./constants";
import { bridgeResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export * from "./instructions";
export async function init(provider, programId = PROGRAM_ID, idl) {
    const resIdl = await (async () => {
        if (!idl) {
            return await Program.fetchIdl(programId, provider);
        }
        else if (typeof idl == "boolean") {
            return IDL;
        }
        return idl;
    })();
    const bridge = new Program(resIdl, programId, provider, undefined, () => bridgeResolvers);
    return bridge;
}
//# sourceMappingURL=index.js.map